config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
for file in etc/iproute2/*.new ; do
  config $file
done
( cd sbin ; rm -rf ctstat )
( cd sbin ; ln -sf lnstat ctstat )
( cd sbin ; rm -rf rtstat )
( cd sbin ; ln -sf lnstat rtstat )
( cd usr/lib/tc ; rm -rf m_ipt.so )
( cd usr/lib/tc ; ln -sf m_xt.so m_ipt.so )
( cd usr/sbin ; rm -rf arpd )
( cd usr/sbin ; ln -sf ../../sbin/arpd arpd )
( cd usr/sbin ; rm -rf bridge )
( cd usr/sbin ; ln -sf ../../sbin/bridge bridge )
( cd usr/sbin ; rm -rf ctstat )
( cd usr/sbin ; ln -sf ../../sbin/ctstat ctstat )
( cd usr/sbin ; rm -rf dcb )
( cd usr/sbin ; ln -sf ../../sbin/dcb dcb )
( cd usr/sbin ; rm -rf devlink )
( cd usr/sbin ; ln -sf ../../sbin/devlink devlink )
( cd usr/sbin ; rm -rf genl )
( cd usr/sbin ; ln -sf ../../sbin/genl genl )
( cd usr/sbin ; rm -rf ifstat )
( cd usr/sbin ; ln -sf ../../sbin/ifstat ifstat )
( cd usr/sbin ; rm -rf ip )
( cd usr/sbin ; ln -sf ../../sbin/ip ip )
( cd usr/sbin ; rm -rf lnstat )
( cd usr/sbin ; ln -sf ../../sbin/lnstat lnstat )
( cd usr/sbin ; rm -rf nstat )
( cd usr/sbin ; ln -sf ../../sbin/nstat nstat )
( cd usr/sbin ; rm -rf rdma )
( cd usr/sbin ; ln -sf ../../sbin/rdma rdma )
( cd usr/sbin ; rm -rf routel )
( cd usr/sbin ; ln -sf ../../sbin/routel routel )
( cd usr/sbin ; rm -rf rtacct )
( cd usr/sbin ; ln -sf ../../sbin/rtacct rtacct )
( cd usr/sbin ; rm -rf rtmon )
( cd usr/sbin ; ln -sf ../../sbin/rtmon rtmon )
( cd usr/sbin ; rm -rf rtstat )
( cd usr/sbin ; ln -sf ../../sbin/rtstat rtstat )
( cd usr/sbin ; rm -rf ss )
( cd usr/sbin ; ln -sf ../../sbin/ss ss )
( cd usr/sbin ; rm -rf tc )
( cd usr/sbin ; ln -sf ../../sbin/tc tc )
( cd usr/sbin ; rm -rf tipc )
( cd usr/sbin ; ln -sf ../../sbin/tipc tipc )
( cd usr/sbin ; rm -rf vdpa )
( cd usr/sbin ; ln -sf ../../sbin/vdpa vdpa )
